// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/Tileset.hpp"
#include "scene/components/display/mesh/QuadMeshHost.hpp"

namespace Dawn {
  class TiledSprite : public SceneItemComponent {
    public:
      // @optional
      StateProperty<Tileset*> tileset;
      // @optional
      StateProperty<QuadMeshHost*> meshHost;
      // @optional
      StateProperty<int32_t> tile;

      TiledSprite(SceneItem *item);
      std::vector<SceneItemComponent*> getDependencies();
      void onStart() override;
  };
}